Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.cardcontact.opencard.service
Class CardServiceUnexpectedStatusWordException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  opencard.core.OpenCardException
                      opencard.core.service.CardServiceException
                          de.cardcontact.opencard.service.CardServiceUnexpectedStatusWordException

All Implemented Interfaces:
  java.io.Serializable

    public class CardServiceUnexpectedStatusWordException

extends CardServiceException

Author:
  Andreas Schwier (info@cardcontact.de)
See Also:
  Serialized Form

Field Summary
`protected int` | `sw`

Constructor Summary
`CardServiceUnexpectedStatusWordException(java.lang.String msg, int sw)` Create exception and store last SW1/SW2

Method Summary
`java.lang.String` | `getMessage()`
`int` | `getSW()` Get failed SW1/SW2

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sw

    protected int sw

Constructor Detail

### CardServiceUnexpectedStatusWordException

    public CardServiceUnexpectedStatusWordException(java.lang.String msg,
                                                    int sw)

  Create exception and store last SW1/SW2

  Parameters:
    `msg` -
    `sw` -

Method Detail

### getSW

    public int getSW()

  Get failed SW1/SW2

  Returns:
    SW1/SW2

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD